Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.recordtype
Class RecordCompositionFactory

    java.lang.Object
      com.servingxml.components.flatfile.recordtype.RecordCompositionFactory

All Implemented Interfaces:
  RecordCombinationFactory

    public class RecordCompositionFactory

extends java.lang.Object
implements RecordCombinationFactory

Class for flat file record type objects.

Constructor Summary
`RecordCompositionFactory(NameSubstitutionExpr recordTypeNameExpr, Name repeatingGroupFieldName, GroupRecognizer groupRecognizer, FlatRecordTypeFactory dataRecordTypeFactory, FlatFileOptionsFactory flatFileOptionsFactory)`

Method Summary
`void` | `appendFlatRecordField(ServiceContext context, Flow flow, FlatFileOptions defaultOptions, java.util.List<FlatRecordField> flatRecordFieldList)`
`FlatRecordType` | `createFlatRecordType(ServiceContext context, Flow flow, FlatRecordType sdwRecordType, FlatFileOptions defaultOptions)`
`boolean` | `isBinary()`
`boolean` | `isFieldDelimited()`
`boolean` | `isText()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecordCompositionFactory

    public RecordCompositionFactory(NameSubstitutionExpr recordTypeNameExpr,
                                    Name repeatingGroupFieldName,
                                    GroupRecognizer groupRecognizer,
                                    FlatRecordTypeFactory dataRecordTypeFactory,
                                    FlatFileOptionsFactory flatFileOptionsFactory)

Method Detail

### createFlatRecordType

    public FlatRecordType createFlatRecordType(ServiceContext context,
                                               Flow flow,
                                               FlatRecordType sdwRecordType,
                                               FlatFileOptions defaultOptions)

  Specified by:
    `createFlatRecordType` in interface `RecordCombinationFactory`

### appendFlatRecordField

    public void appendFlatRecordField(ServiceContext context,
                                      Flow flow,
                                      FlatFileOptions defaultOptions,
                                      java.util.List<FlatRecordField> flatRecordFieldList)

### isFieldDelimited

    public boolean isFieldDelimited()

  Specified by:
    `isFieldDelimited` in interface `RecordCombinationFactory`

### isBinary

    public boolean isBinary()

  Specified by:
    `isBinary` in interface `RecordCombinationFactory`

### isText

    public boolean isText()

  Specified by:
    `isText` in interface `RecordCombinationFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD